<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__essc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_essc_config_t</compoundname>
    <includes local="no">cy_ble_ess.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__essc__config__t_1ab1fce9b51a0a1f5eb635b74c64d6e0fc" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__essc__t">cy_stc_ble_essc_t</ref> *</type>
        <definition>const cy_stc_ble_essc_t* cy_stc_ble_essc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="290" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="290" />
      </memberdef>
      <memberdef id="structcy__stc__ble__essc__config__t_1a4cded994997524c6ab58e1dfd3598b8e" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_ble_essc_config_t::charInstances</definition>
        <argsstring />
        <name>charInstances</name>
        <briefdescription>
<para>Number of AIOS Characteristics instances for server. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="293" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="293" />
      </memberdef>
      <memberdef id="structcy__stc__ble__essc__config__t_1a7d2c6988f530838704d939917313a46c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_essc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="296" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="296" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="488">
        <label>cy_stc_ble_essc_char_info_ptr_t</label>
        <link refid="structcy__stc__ble__essc__char__info__ptr__t" />
        <childnode refid="489" relation="usage">
          <edgelabel>charInfoPtr</edgelabel>
        </childnode>
      </node>
      <node id="487">
        <label>cy_stc_ble_essc_t</label>
        <link refid="structcy__stc__ble__essc__t" />
        <childnode refid="488" relation="usage">
          <edgelabel>charInfoAddr</edgelabel>
        </childnode>
      </node>
      <node id="489">
        <label>cy_stc_ble_essc_char_t</label>
        <link refid="structcy__stc__ble__essc__char__t" />
      </node>
      <node id="486">
        <label>cy_stc_ble_essc_config_t</label>
        <link refid="structcy__stc__ble__essc__config__t" />
        <childnode refid="487" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="298" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="287" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="288" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__essc__config__t_1ab1fce9b51a0a1f5eb635b74c64d6e0fc" virt="non-virtual"><scope>cy_stc_ble_essc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__essc__config__t_1a4cded994997524c6ab58e1dfd3598b8e" virt="non-virtual"><scope>cy_stc_ble_essc_config_t</scope><name>charInstances</name></member>
      <member prot="public" refid="structcy__stc__ble__essc__config__t_1a7d2c6988f530838704d939917313a46c" virt="non-virtual"><scope>cy_stc_ble_essc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>